Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/nonmember_input.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/nonmember_input.tpl	(revision 22775)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/nonmember_input.tpl	(revision 23002)
@@ -353,12 +353,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
 <!--▲コンテンツここまで -->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/deliv.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 22782)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 23002)
@@ -99,12 +99,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
 <!--▲コンテンツここまで -->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/index.tpl	(revision 22856)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/index.tpl	(revision 23002)
@@ -92,11 +92,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/complete.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/complete.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/complete.tpl	(revision 23002)
@@ -60,11 +60,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/multiple.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 22784)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 23002)
@@ -114,12 +114,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
 <!--▲コンテンツここまで -->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 22773)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 23002)
@@ -274,12 +274,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
 <!--▲コンテンツここまで -->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/payment.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/payment.tpl	(revision 22856)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/payment.tpl	(revision 23002)
@@ -280,12 +280,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
 <!--▲コンテンツここまで -->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/cart/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/cart/index.tpl	(revision 22787)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/cart/index.tpl	(revision 23002)
@@ -162,12 +162,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
 <!--▲コンテンツここまで -->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/contact/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/contact/index.tpl	(revision 22932)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/contact/index.tpl	(revision 23002)
@@ -160,11 +160,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/contact/complete.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/contact/complete.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/contact/complete.tpl	(revision 23002)
@@ -43,12 +43,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
 <!--▲CONTENTS -->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/contact/confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/contact/confirm.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/contact/confirm.tpl	(revision 23002)
@@ -76,11 +76,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/regist/complete.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/regist/complete.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/regist/complete.tpl	(revision 23002)
@@ -42,11 +42,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/abouts/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/abouts/index.tpl	(revision 22825)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/abouts/index.tpl	(revision 23002)
@@ -102,12 +102,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
 
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/guide/privacy.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/guide/privacy.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/guide/privacy.tpl	(revision 23002)
@@ -41,11 +41,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/complete.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/complete.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/complete.tpl	(revision 23002)
@@ -37,11 +37,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/confirm.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/confirm.tpl	(revision 23002)
@@ -117,11 +117,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/kiyaku.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/kiyaku.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/kiyaku.tpl	(revision 23002)
@@ -46,11 +46,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/index.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/entry/index.tpl	(revision 23002)
@@ -41,11 +41,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/products/detail.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 22856)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 23002)
@@ -428,11 +428,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/products/list.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/products/list.tpl	(revision 22960)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/products/list.tpl	(revision 23002)
@@ -125,13 +125,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
 
 <script>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/index.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/index.tpl	(revision 23002)
@@ -21,11 +21,4 @@
  *}-->
 
-<!-- ▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" />
-    </form>
-</section>
-<!-- ▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/index.tpl	(revision 22960)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/index.tpl	(revision 23002)
@@ -88,13 +88,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
 
 <script>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/login.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/login.tpl	(revision 22788)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/login.tpl	(revision 23002)
@@ -93,12 +93,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
 <!--▲コンテンツここまで -->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal_complete.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal_complete.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal_complete.tpl	(revision 23002)
@@ -47,11 +47,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change_complete.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change_complete.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change_complete.tpl	(revision 23002)
@@ -37,12 +37,6 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
 <!--▲CONTENTS-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal_confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal_confirm.tpl	(revision 22788)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal_confirm.tpl	(revision 23002)
@@ -43,11 +43,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/favorite.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 22960)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 23002)
@@ -93,13 +93,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
 
 <script>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/history.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 22856)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 23002)
@@ -171,13 +171,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
 
 <script>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal.tpl	(revision 22960)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal.tpl	(revision 23002)
@@ -42,11 +42,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change_confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change_confirm.tpl	(revision 22788)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change_confirm.tpl	(revision 23002)
@@ -118,11 +118,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 22960)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 23002)
@@ -84,13 +84,5 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
 
 <script>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change.tpl	(revision 22788)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change.tpl	(revision 23002)
@@ -50,11 +50,4 @@
 </section>
 
-<!--▼検索バー -->
-<section id="search_area">
-    <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="mode" value="search" />
-        <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
-    </form>
-</section>
-<!--▲検索バー -->
+<!--{include file= 'frontparts/search_area.tpl'}-->
+