Index: /branches/version-2_13-dev/html/user_data/packages/sphone/css/contents.css
===================================================================
--- /branches/version-2_13-dev/html/user_data/packages/sphone/css/contents.css	(revision 21619)
+++ /branches/version-2_13-dev/html/user_data/packages/sphone/css/contents.css	(revision 23013)
@@ -465,4 +465,5 @@
     text-align: right;
 }
+.customer_confirm dt,
 .deliv_confirm dt {
     font-size: 14px;
@@ -479,4 +480,5 @@
     display: block;
 }
+.customer_confirm dd,
 .deliv_confirm dd {
     font-size: 12px;
@@ -487,8 +489,10 @@
 }
 
+.customer_confirm dd:last-child, 
 .deliv_confirm dd:last-child {
     border-bottom: none;
 }
 
+.customer_confirm dd p.deliv_name,
 .deliv_confirm dd p.deliv_name {
     margin-bottom: 3px;
Index: /branches/version-2_13-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl	(revision 23004)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl	(revision 23013)
@@ -65,4 +65,15 @@
 合　計 ￥<!--{$arrOrder.payment_total|number_format|default:0}-->
 
+************************************************
+　ご注文者情報
+************************************************
+　お名前　：<!--{$arrOrder.order_name01}--> <!--{$arrOrder.order_name02}-->　様
+　郵便番号：〒<!--{$arrOrder.order_zip01}-->-<!--{$arrOrder.order_zip02}-->
+　住所　　：<!--{$arrPref[$arrOrder.order_pref]}--><!--{$arrOrder.order_addr01}--><!--{$arrOrder.order_addr02}-->
+　電話番号：<!--{$arrOrder.order_tel01}-->-<!--{$arrOrder.order_tel02}-->-<!--{$arrOrder.order_tel03}-->
+　FAX番号 ：<!--{if $arrOrder.order_fax01 > 0}--><!--{$arrOrder.order_fax01}-->-<!--{$arrOrder.order_fax02}-->-<!--{$arrOrder.order_fax03}--><!--{/if}-->
+
+　メールアドレス：<!--{$arrOrder.order_email}-->
+
 <!--{if count($arrShipping) >= 1}-->
 ************************************************
@@ -77,5 +88,5 @@
 　住所　　：<!--{$arrPref[$shipping.shipping_pref]}--><!--{$shipping.shipping_addr01}--><!--{$shipping.shipping_addr02}-->
 　電話番号：<!--{$shipping.shipping_tel01}-->-<!--{$shipping.shipping_tel02}-->-<!--{$shipping.shipping_tel03}-->
-　FAX番号 ：<!--{if $shipping.shipping_fax01 > 0}--><!--{$shipping.shipping_fax01}-->-<!--{$shipping.shipping_fax02}-->-<!--{$shipping.shipping_fax03}--><!--{/if}-->
+　FAX番号 ：<!--{if $shipping.shipping_fax01 > 0}--><!--{$shipping.shipping_fax01}-->-<!--{$shipping.shipping_fax02}-->-<!--{$shipping.shipping_fax03}--><!--{else}-->　<!--{/if}-->
 
 　お届け日：<!--{$shipping.shipping_date|date_format:"%Y/%m/%d"|default:"指定なし"}-->
Index: /branches/version-2_13-dev/data/Smarty/templates/default/shopping/confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/shopping/confirm.tpl	(revision 22955)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/shopping/confirm.tpl	(revision 23013)
@@ -171,4 +171,59 @@
             <!--{/if}-->
             <!--{* ログイン済みの会員のみ *}-->
+
+            <!--{* ▼注文者 *}-->
+            <h3>ご注文者</h3>
+            <table summary="ご注文者" class="customer">
+                <col width="30%" />
+                <col width="70%" />
+                <tbody>
+                    <tr>
+                        <th scope="row">お名前</th>
+                        <td><!--{$arrForm.order_name01|h}--> <!--{$arrForm.order_name02|h}--></td>
+                    </tr>
+                    <tr>
+                        <th scope="row">お名前(フリガナ)</th>
+                        <td><!--{$arrForm.order_kana01|h}--> <!--{$arrForm.order_kana02|h}--></td>
+                    </tr>
+                    <tr>
+                        <th scope="row">郵便番号</th>
+                        <td>〒<!--{$arrForm.order_zip01|h}-->-<!--{$arrForm.order_zip02|h}--></td>
+                    </tr>
+                    <tr>
+                        <th scope="row">住所</th>
+                        <td><!--{$arrPref[$arrForm.order_pref]}--><!--{$arrForm.order_addr01|h}--><!--{$arrForm.order_addr02|h}--></td>
+                    </tr>
+                    <tr>
+                        <th scope="row">電話番号</th>
+                        <td><!--{$arrForm.order_tel01}-->-<!--{$arrForm.order_tel02}-->-<!--{$arrForm.order_tel03}--></td>
+                    </tr>
+                    <tr>
+                        <th scope="row">FAX番号</th>
+                        <td>
+                            <!--{if $arrForm.order_fax01 > 0}-->
+                                <!--{$arrForm.order_fax01}-->-<!--{$arrForm.order_fax02}-->-<!--{$arrForm.order_fax03}-->
+                            <!--{/if}-->
+                        </td>
+                    </tr>
+                    <tr>
+                        <th scope="row">メールアドレス</th>
+                        <td><!--{$arrForm.order_email|h}--></td>
+                    </tr>
+                    <tr>
+                        <th scope="row">性別</th>
+                        <td><!--{$arrSex[$arrForm.order_sex]|h}--></td>
+                    </tr>
+                    <tr>
+                        <th scope="row">職業</th>
+                        <td><!--{$arrJob[$arrForm.order_job]|default:'(未登録)'|h}--></td>
+                    </tr>
+                    <tr>
+                        <th scope="row">生年月日</th>
+                        <td>
+                            <!--{$arrForm.order_birth|regex_replace:"/ .+/":""|regex_replace:"/-/":"/"|default:'(未登録)'|h}-->
+                        </td>
+                    </tr>
+                </tbody>
+            </table>
 
             <!--{* ▼お届け先 *}-->
Index: /branches/version-2_13-dev/data/Smarty/templates/mobile/shopping/confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 22756)
+++ /branches/version-2_13-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 23013)
@@ -69,4 +69,18 @@
         <!--{/if}-->
 
+        【ご注文者】<br>
+        〒<!--{$arrForm.order_zip01|h}-->-<!--{$arrForm.order_zip02|h}--><br>
+        <!--{$arrPref[$arrForm.order_pref]}--><!--{$arrForm.order_addr01|h}--><!--{$arrForm.order_addr02|h}--><br>
+        <!--{$arrForm.order_name01|h}--> <!--{$arrForm.order_name02|h}--><br>
+        <!--{$arrForm.order_tel01}-->-<!--{$arrForm.order_tel02}-->-<!--{$arrForm.order_tel03}--><br>
+        <!--{if $arrForm.order_fax01 > 0}-->
+            <!--{$arrForm.order_fax01}-->-<!--{$arrForm.order_fax02}-->-<!--{$arrForm.order_fax03}--><br>
+        <!--{/if}-->
+        <!--{$arrForm.order_email|h}--><br>
+        性別：<!--{$arrSex[$arrForm.order_sex]|h}--><br>
+        職業：<!--{$arrJob[$arrForm.order_job]|default:'(未登録)'|h}--><br>
+        生年月日：<!--{$arrForm.order_birth|regex_replace:"/ .+/":""|regex_replace:"/-/":"/"|default:'(未登録)'|h}--><br>
+        <br>
+
         <!--{if $arrShipping}-->
             【お届け先】<br>
Index: /branches/version-2_13-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl	(revision 23004)
+++ /branches/version-2_13-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl	(revision 23013)
@@ -58,4 +58,13 @@
 合　計 ￥<!--{$arrOrder.payment_total|number_format|default:0}-->
 
+■ご注文者情報
+　お名前　：<!--{$arrOrder.order_name01}--> <!--{$arrOrder.order_name02}-->　様
+　郵便番号：〒<!--{$arrOrder.order_zip01}-->-<!--{$arrOrder.order_zip02}-->
+　住所　　：<!--{$arrPref[$arrOrder.order_pref]}--><!--{$arrOrder.order_addr01}--><!--{$arrOrder.order_addr02}-->
+　電話番号：<!--{$arrOrder.order_tel01}-->-<!--{$arrOrder.order_tel02}-->-<!--{$arrOrder.order_tel03}-->
+　FAX番号 ：<!--{if $arrOrder.order_fax01 > 0}--><!--{$arrOrder.order_fax01}-->-<!--{$arrOrder.order_fax02}-->-<!--{$arrOrder.order_fax03}--><!--{/if}-->
+
+　メールアドレス：<!--{$arrOrder.order_email}-->
+
 <!--{if count($arrShipping) >= 1}-->
 ■配送情報
@@ -68,4 +77,6 @@
 　住所　　：<!--{$arrPref[$shipping.shipping_pref]}--><!--{$shipping.shipping_addr01}--><!--{$shipping.shipping_addr02}-->
 　電話番号：<!--{$shipping.shipping_tel01}-->-<!--{$shipping.shipping_tel02}-->-<!--{$shipping.shipping_tel03}-->
+　FAX番号 ：<!--{if $shipping.shipping_fax01 > 0}--><!--{$shipping.shipping_fax01}-->-<!--{$shipping.shipping_fax02}-->-<!--{$shipping.shipping_fax03}--><!--{else}-->　<!--{/if}-->
+
 　お届け日：<!--{$shipping.shipping_date|date_format:"%Y/%m/%d"|default:"指定なし"}-->
 　お届け時間：<!--{$shipping.shipping_time|default:"指定なし"}-->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 23002)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 23013)
@@ -165,4 +165,28 @@
                 <!--{/if}-->
             </div><!-- /.form_area -->
+        </section>
+
+        <!--★注文者の確認★-->
+        <section class="customerconfirm_area">
+        <h3 class="subtitle">ご注文者</h3>
+        <div class="form_area">
+        <div class="formBox">
+            <dl class="customer_confirm">
+                <dd>
+                    <p>〒<!--{$arrForm.order_zip01|h}-->-<!--{$arrForm.order_zip02|h}--><br />
+                        <!--{$arrPref[$arrForm.order_pref]}--><!--{$arrForm.order_addr01|h}--><!--{$arrForm.order_addr02|h}--></p>
+                    <p class="deliv_name"><!--{$arrForm.order_name01|h}--> <!--{$arrForm.order_name02|h}--></p>
+                    <p><!--{$arrForm.order_tel01}-->-<!--{$arrForm.order_tel02}-->-<!--{$arrForm.order_tel03}--></p>
+                    <!--{if $arrForm.order_fax01 > 0}-->
+                        <p><!--{$arrForm.order_fax01}-->-<!--{$arrForm.order_fax02}-->-<!--{$arrForm.order_fax03}--></p>
+                    <!--{/if}-->
+                    <p><!--{$arrForm.order_email|h}--></p>
+                    <p>性別：<!--{$arrSex[$arrForm.order_sex]|h}--></p>
+                    <p>職業：<!--{$arrJob[$arrForm.order_job]|default:'(未登録)'|h}--></p>
+                    <p>生年月日：<!--{$arrForm.order_birth|regex_replace:"/ .+/":""|regex_replace:"/-/":"/"|default:'(未登録)'|h}--></p>
+                </dd>
+            </dl>
+        </div>
+        </div>
         </section>
 
Index: /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 23011)
+++ /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 23013)
@@ -41,8 +41,9 @@
     {
         parent::init();
-        $this->tpl_title = 'ご入力内容のご確認';
+        $this->tpl_title = '入力内容のご確認';
         $masterData = new SC_DB_MasterData_Ex();
         $this->arrPref = $masterData->getMasterData('mtb_pref');
         $this->arrSex = $masterData->getMasterData('mtb_sex');
+        $this->arrJob = $masterData->getMasterData('mtb_job');
         $this->arrMAILMAGATYPE = $masterData->getMasterData('mtb_mail_magazine_type');
         $this->arrReminder = $masterData->getMasterData('mtb_reminder');