Index: branches/version-2_13-dev/data/Smarty/templates/default/shopping/confirm.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/default/shopping/confirm.tpl	(revision 23013)
+++ branches/version-2_13-dev/data/Smarty/templates/default/shopping/confirm.tpl	(revision 23024)
@@ -108,5 +108,5 @@
                         </td>
                         <td class="alignR">
-                            <!--{$item.price|sfCalcIncTax|number_format}-->円
+                            <!--{$item.price_inctax|number_format}-->円
                         </td>
                         <td class="alignR"><!--{$item.quantity|number_format}--></td>
@@ -119,4 +119,5 @@
                 </tr>
                 <!--{if $smarty.const.USE_POINT !== false}-->
+                    <!--{if $arrForm.use_point > 0}-->
                     <tr>
                         <th colspan="4" class="alignR" scope="row">値引き（ポイントご使用時）</th>
@@ -125,4 +126,5 @@
                             -<!--{$discount|number_format|default:0}-->円</td>
                     </tr>
+                    <!--{/if}-->
                 <!--{/if}-->
                 <tr>
@@ -186,4 +188,18 @@
                         <td><!--{$arrForm.order_kana01|h}--> <!--{$arrForm.order_kana02|h}--></td>
                     </tr>
+                    <tr>
+                        <th scope="row">会社名</th>
+                        <td><!--{$arrForm.order_company_name|h}--></td>
+                    </tr>
+                    <!--{if $smarty.const.FORM_COUNTRY_ENABLE}-->
+                    <tr>
+                        <th scope="row">国</th>
+                        <td><!--{$arrCountry[$arrForm.order_country_id]|h}--></td>
+                    </tr>
+                    <tr>
+                        <th scope="row">ZIPCODE</th>
+                        <td><!--{$arrForm.order_zipcode|h}--></td>
+                    </tr>
+                    <!--{/if}-->
                     <tr>
                         <th scope="row">郵便番号</th>
@@ -239,9 +255,6 @@
                             <th scope="col">商品写真</th>
                             <th scope="col">商品名</th>
-                            <th scope="col">単価</th>
                             <th scope="col">数量</th>
-                            <!--{* XXX 購入小計と誤差が出るためコメントアウト
                             <th scope="col">小計</th>
-                            *}-->
                         </tr>
                         <!--{foreach item=item from=$shippingItem.shipment_item}-->
@@ -262,11 +275,8 @@
                                     <!--{/if}-->
                                 </td>
+                                <td class="alignC"><!--{$item.quantity}--></td>
                                 <td class="alignR">
-                                    <!--{$item.price|sfCalcIncTax|number_format}-->円
+                                    <!--{$item.total_inctax|number_format}-->円
                                 </td>
-                                <td class="alignC"><!--{$item.quantity}--></td>
-                                <!--{* XXX 購入小計と誤差が出るためコメントアウト
-                                <td class="alignR"><!--{$item.total_inctax|number_format}-->円</td>
-                                *}-->
                             </tr>
                         <!--{/foreach}-->
@@ -286,4 +296,18 @@
                             <td><!--{$shippingItem.shipping_kana01|h}--> <!--{$shippingItem.shipping_kana02|h}--></td>
                         </tr>
+                        <tr>
+                            <th scope="row">会社名</th>
+                            <td><!--{$shippingItem.shipping_company_name|h}--></td>
+                        </tr>
+                        <!--{if $smarty.const.FORM_COUNTRY_ENABLE}-->
+                        <tr>
+                            <th scope="row">国</th>
+                            <td><!--{$arrCountry[$shippingItem.shipping_country_id]|h}--></td>
+                        </tr>
+                        <tr>
+                            <th scope="row">ZIPCODE</th>
+                            <td><!--{$shippingItem.shipping_zipcode|h}--></td>
+                        </tr>
+                        <!--{/if}-->
                         <tr>
                             <th scope="row">郵便番号</th>