Index: /branches/version-2_13-dev/html/js/eccube.js
===================================================================
--- /branches/version-2_13-dev/html/js/eccube.js	(revision 23066)
+++ /branches/version-2_13-dev/html/js/eccube.js	(revision 23077)
@@ -157,4 +157,5 @@
 
     eccube.fnFormModeSubmit = function(form, mode, keyname, keyid) {
+        var formDom = $("form#" + form);
         switch(mode) {
             case 'delete':
@@ -176,14 +177,15 @@
                 break;
         }
-        document.forms[form]['mode'].value = mode;
+        formDom.find("input[name='mode']").val(mode);
         if(keyname != "" && keyid != "") {
-            document.forms[form][keyname].value = keyid;
-        }
-        document.forms[form].submit();
+            formDom.find("*[name=" + keyname + "]").val(keyid);
+        }
+        formDom.submit();
     };
 
     eccube.setValueAndSubmit = function(form, key, val) {
-        document.forms[form][key].value = val;
-        document.forms[form].submit();
+        var formDom = $("form#" + form);
+        formDom.find("*[name=" + key + "]").val(val);
+        formDom.submit();
         return false;
     };
@@ -193,5 +195,6 @@
             form = 'form1';
         }
-        document.forms[form][key].value = val;
+        var formDom = $("form#" + form);
+        formDom.find("*[name=" + key + "]").val(val);
     };
 
@@ -202,19 +205,20 @@
     // ページナビで使用する。
     eccube.movePage = function(pageno, mode, form) {
-        if (typeof form !== 'undefined') {
+        if (typeof form === 'undefined') {
             form = 'form1';
         }
-        document.forms[form]['pageno'].value = pageno;
+        var formDom = $("form#" + form);
+        formDom.find("input[name=pageno]").val(pageno);
         if (typeof mode !== 'undefined') {
-            document.forms[form]['mode'].value = 'search';
-        }
-        document.forms[form].submit();
+            formDom.find("input[name='mode']").val('search');
+        }
+        formDom.submit();
     };
 
     eccube.submitForm = function(form){
-        if (typeof form !== 'undefined') {
+        if (typeof form === 'undefined') {
             form = 'form1';
         }
-        document.forms[form].submit();
+        $("form#" + form).submit();
     };
 
@@ -302,4 +306,5 @@
     // ログイン時の入力チェック
     eccube.checkLoginFormInputted = function(form, emailKey, passKey) {
+        var formDom = $("form#" + form);
         var checkItems = [];
 
@@ -320,5 +325,5 @@
         //　必須項目のチェック
         for(var cnt = 0; cnt < max; cnt++) {
-            if(document.forms[form][checkItems[cnt]].value == "") {
+            if(formDom.find("input[name=" + checkItems[cnt] + "]").val() == "") {
                 errorFlag = true;
                 break;
@@ -350,5 +355,6 @@
     //引数3：カウント結果格納対象
     eccube.countChars = function(form,sch,cnt) {
-        document.forms[form][cnt].value= document.forms[form][sch].value.length;
+        var formDom = $("form#" + form);
+        formDom.find("input[name="+cnt+"]").val(formDom.find("*[name="+sch+"]").val().length);
     };
 
Index: /branches/version-2_13-dev/html/install/templates/step3.tpl
===================================================================
--- /branches/version-2_13-dev/html/install/templates/step3.tpl	(revision 23066)
+++ /branches/version-2_13-dev/html/install/templates/step3.tpl	(revision 23077)
@@ -23,5 +23,5 @@
 <!--
     // モードとキーを指定してSUBMITを行う。
-    function eccube.setModeAndSubmit(mode) {
+    eccube.setModeAndSubmit = function(mode) {
         switch(mode) {
         case 'drop':
@@ -35,5 +35,5 @@
         document.form1['mode'].value = mode;
         document.form1.submit();
-    }
+    };
 //-->
 </script>
Index: /branches/version-2_13-dev/html/install/templates/install_frame.tpl
===================================================================
--- /branches/version-2_13-dev/html/install/templates/install_frame.tpl	(revision 22206)
+++ /branches/version-2_13-dev/html/install/templates/install_frame.tpl	(revision 23077)
@@ -27,7 +27,6 @@
         <meta http-equiv="content-style-type" content="text/css" />
         <link rel="stylesheet" href="css/admin_contents.css" type="text/css" media="all" />
-        <script type="text/javascript" src="../js/css.js"></script>
-        <script type="text/javascript" src="../js/navi.js"></script>
         <script type="text/javascript" src="../js/jquery-1.4.2.min.js"></script>
+        <script type="text/javascript" src="../js/eccube.js"></script>
         <title>EC-CUBEインストール</title>
     </head>